Skip to main content
POST
/
payments
/
employees
/
{employeeId}
/
{statutoryPayId}
/
alabaster-recalculate
cURL
curl --request POST \
  --url https://api.sandbox.flowpayroll.ai/v1/statutory-pay/payments/employees/{employeeId}/{statutoryPayId}/alabaster-recalculate \
  --header 'Content-Type: application/json' \
  --header 'X-Auth-Token: <api-key>' \
  --data '
{
  "payRiseEffectiveDate": "<string>",
  "oldSalary": 123,
  "newSalary": 123,
  "payPeriodStartDate": "<string>",
  "payPeriodEndDate": "<string>"
}
'
{
  "content": {
    "data": null,
    "metadata": {
      "dateFormat": "<string>",
      "dateTimeFormat": "<string>"
    }
  },
  "metadata": {
    "dateFormat": "<string>",
    "dateTimeFormat": "<string>"
  },
  "errors": [
    {
      "field": "<string>",
      "reasonText": "<string>",
      "reasonId": "<string>",
      "reasonParameters": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "message": {
    "text": "<string>",
    "textId": "<string>",
    "textParameters": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Auth-Token
string
header
required

Authentication token for API access

Path Parameters

employeeId
string
required
statutoryPayId
string
required

Body

application/json
payRiseEffectiveDate
string
oldSalary
number<double>
newSalary
number<double>
payPeriodStartDate
string
payPeriodEndDate
string

Response

OK

content
object
metadata
object
errors
object[] | null
message
object